Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.scheme
Class EditSchemeAgent

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Agent
              madkit.scheme.SchemeAgent
                  madkit.scheme.EditSchemeAgent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class EditSchemeAgent

extends SchemeAgent

See Also:
  Serialized Form

Field Summary
`madkit.scheme.SchemeEditorPanel` | `display`

Fields inherited from class madkit.scheme.SchemeAgent
`env, envcount, err_p, interp, out_p`

Constructor Summary
`EditSchemeAgent()`
`EditSchemeAgent(java.io.File s)`
`EditSchemeAgent(java.lang.String s)`

Method Summary
`void` | `activate()` Loads the Scheme agent code, then evaluates the activate function, if bounded
`void` | `doPause(int n)`
`void` | `doSendControlMessage(java.lang.String act)`
`void` | `doSendControlMessage(java.lang.String act, java.lang.String cont)`
`void` | `handleControlMessage(ControlMessage m)`
`void` | `initGUI()` This method is called by the specific external graphic system (as the G-Box) to ask the agent to prepare a graphical interface.
`void` | `live()` Evaluates the live function, if bounded
`void` | `print(java.lang.String s)` Prints text information in a environment-independent way (GUI, console, ...)
`void` | `println(java.lang.String s)` Prints text information in an environment-independent way (GUI, console, ...)

Methods inherited from class madkit.scheme.SchemeAgent
`doLaunchAgent, end, InternalDebug, makeLaunchAgent, print, println, schemeGetAgentsWithRole, schemeGetAgentsWithRole, schemeGetAvailableCommunities, schemeGetExistingGroups, schemeGetExistingGroups, schemeGetExistingRoles, schemeGetExistingRoles, schemeGetMyGroups, schemeGetMyGroups, schemeGetMyRoles, schemeGetMyRoles, schemeGetRoles, schemeGetRoles`

Methods inherited from class madkit.kernel.Agent
`connectAgencyToAgency, createPlace, createPlace, enableMobility, enableMobility, exitImmediatlyOnKill, getAgencyNamed, joinPlace, joinPlace, joinPlace, pause, receiveMessage, run, waitNextMessage, waitNextMessage`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, destroyGroup, disposeMyGUI, foundGroup, getAddress, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, hashCode, hideMyGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, toString, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### display

    public madkit.scheme.SchemeEditorPanel display

Constructor Detail

### EditSchemeAgent

    public EditSchemeAgent()

### EditSchemeAgent

    public EditSchemeAgent(java.lang.String s)

### EditSchemeAgent

    public EditSchemeAgent(java.io.File s)

Method Detail

### initGUI

    public void initGUI()

  Description copied from class: `AbstractAgent`
  This method is called by the specific external graphic system (as the G-Box) to ask the agent to prepare a graphical interface. The agent developer should use a setGUIObject(...) within this method, as well as other necessary initializations. If the developer does not overload this method, a vanilla text output might be used as the default interface.

  Overrides:
    `initGUI` in class `SchemeAgent`

### println

    public void println(java.lang.String s)

  Description copied from class: `AbstractAgent`
  Prints text information in an environment-independent way (GUI, console, ...)

  Overrides:
    `println` in class `SchemeAgent`
  Parameters:
    `s` - the string

### print

    public void print(java.lang.String s)

  Description copied from class: `AbstractAgent`
  Prints text information in a environment-independent way (GUI, console, ...)

  Overrides:
    `print` in class `AbstractAgent`
  Parameters:
    `s` - the string

### activate

    public void activate()

  Description copied from class: `SchemeAgent`
  Loads the Scheme agent code, then evaluates the activate function, if bounded

  Overrides:
    `activate` in class `SchemeAgent`

### doSendControlMessage

    public void doSendControlMessage(java.lang.String act)

### doSendControlMessage

    public void doSendControlMessage(java.lang.String act,
                                     java.lang.String cont)

### handleControlMessage

    public void handleControlMessage(ControlMessage m)

### live

    public void live()

  Description copied from class: `SchemeAgent`
  Evaluates the live function, if bounded

  Overrides:
    `live` in class `SchemeAgent`

### doPause

    public void doPause(int n)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.